INTERFACE
SUBROUTINE GPGRVCRS(KPROMA,KD,KF,KFLEV,&
 & PRTGR,PREHYDF,PREHYDSL,PREHYDSM,&
 & PVCRSSAFL,PVCRSSAFM) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KD
INTEGER(KIND=JPIM),INTENT(IN) :: KF
REAL(KIND=JPRB) ,INTENT(IN) :: PRTGR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PREHYDF(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PREHYDSL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PREHYDSM(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVCRSSAFL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVCRSSAFM(KPROMA,KFLEV)
END SUBROUTINE GPGRVCRS
END INTERFACE
